SEARCH CATALOG

Printer-friendly version

What internet browsers work with your catalog system?

Currently we recommend using at least Internet Explorer 7, Firefox 2 or Safari 3. Newer versions of these browsers have also been tested and work. If you are having problems using an older browser we recommend you upgrade to the latest version.

If you are still having problems and are using one of these browsers. Please try to delete your temporary internet files and clear your browser cache. Here are some instructions on how to do that with each of these browsers.